/* Modal */
.ImageGalleryModal .modal-dialog {
  max-width: 800px !important;
}

.ImageGalleryModal .modal-body {
  padding: 30px;
}

.ImageGalleryModal .modal-header {
  border: none !important;
}

.ImageGalleryModal .modal_close_btn {
  position: absolute;
  right: -10px;
  top: -10px;
  z-index: 1;
}

.ImageGalleryModal.modal-content {
  background: #fdfdfd !important;
  border: none !important;
  border-radius: 15px !important;
  overflow: hidden;
  position: relative;
}

/* Main Slider */
.main-slider {
  width: 100%;
  height: 450px;
}

.main_img_div {
  width: auto;
  height: 450px;
  /* margin: auto; */
  border-radius: 18px;
  position: relative;
}

.main_img_div::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  border-radius: 18px;
  background: transparent
    linear-gradient(180deg, #00000000 0%, #00000052 58%, #000000 100%) 0% 0%
    no-repeat padding-box;
}

.main_img_div .modal-main-img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-radius: 12px;
  /* background: #e1d3c1; */
  border-radius: 18px;
}

/* Thumbnail Slider */
.thumb-slider {
  padding: 10px 0;
}

.thumb_swiper_div {
  position: absolute;
  bottom: -40px;
  left: 0;
  right: 0;
  width: 700px;
  margin: auto;
}

.thumb-slider .swiper-slide {
  cursor: pointer;
  opacity: 1;
  transition: 0.3s ease;
}

.thumb-slider .swiper-slide-thumb-active {
  opacity: 1;
}

.thumb_img_div {
  width: 100%;
  height: 90px;
  border-radius: 10px;
  overflow: hidden;
}

.modal-thumb-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 10px;
}

/* Active Thumbnail */
.thumb-slider .swiper-slide-thumb-active .thumb_img_div {
  border: 2px solid #000;
}

/* Navigation Buttons */
.main-slider .swiper-button-next,
.main-slider .swiper-button-prev {
  width: 40px !important;
  height: 40px !important;
  background: #fff;
  border-radius: 5px;
  color: #bb0000 !important;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
  padding: 10px;
  position: absolute;
}

.main-slider .swiper-button-next {
}

.main-slider .swiper-button-next::after,
.main-slider .swiper-button-prev::after {
  font-size: 16px !important;
  font-weight: 700;
}

/* Mobile */
@media (min-width: 0px) and (max-width: 768px) {
  .main-slider,
  .main_img_div {
    height: 300px;
  }

  .thumb_swiper_div {
    width: auto;
  }

  .thumb_img_div {
    height: 70px;
  }
  .ImageGalleryModal .modal-body {
    padding: 15px;
  }
  .main-slider .swiper-button-next,
  .main-slider .swiper-button-prev {
    width: 30px !important;
    height: 30px !important;
  }
  /* .ImageGalleryModal .modal-dialog {
        width: 100% !important;
    } */
}
